SDL_SetiOSAnimationCallback(3)

NAME
SDL_SetiOSAnimationCallback - Use this function to set the animation callback on Apple iOS.

SYNOPSIS
#include <SDL3/SDL_system.h>

bool SDL_SetiOSAnimationCallback(SDL_Window *window, int interval, SDL_iOSAnimationCallback callback, void *callbackParam);

DESCRIPTION
The function prototype for callback is:

        void callback(void *callbackParam);

Where its parameter, callbackParam, is what was passed as callbackParam to SDL_SetiOSAnimationCallback().

This function is only available on Apple iOS.

For more information see:

https://wiki.libsdl.org/SDL3/README/ios

Note that if you use the "main callbacks" instead of a standard C main function, you don't have to use this API, as SDL will manage this for you.

Details on main callbacks are here:

https://wiki.libsdl.org/SDL3/README/main-functions

FUNCTION PARAMETERS

window
    the window for which the animation callback should be set.

interval
    the number of frames after which callback will be called.

callback
    the function to call for every frame.

callbackParam
    a pointer that is passed to callback.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetiOSEventPump(3)